Package com.sas.services.storedprocess

# Class ResultHints

java.lang.Object
com.sas.services.storedprocess.ResultHints

All Implemented Interfaces:
  `Serializable`, `Cloneable`

Direct Known Subclasses:
  `PermanentPackageResultHints`, `TransientPackageResultHints`, `WebDAVPackageDAVServerResultHints`, `WebDAVPackagePRResultHints`, `WebDAVPackageURLResultHints`

public abstract class ResultHints extends Object implements Serializable, Cloneable
Deprecated.
This abstract class is the superclass of the various ResultHints subclasses.

Since:
  1.1
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `HINT_SUBTYPE_NA`
  Deprecated.
  `static final int`
  `HINT_SUBTYPE_SET`
  Deprecated.
  `static final int`
  `HINT_SUBTYPE_WEBDAV_DAVSERVER`
  Deprecated.
  `static final int`
  `HINT_SUBTYPE_WEBDAV_URL`
  Deprecated.
  `static final int`
  `HINT_SUBTYPE_WEBDAV_USER_PR`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Deprecated.
  Clones this object.
  `Object`
  `getResultLocation()`
  Deprecated.
  Returns the location to which the package is written.
  `boolean`
  `isLifecycleBound()`
  Deprecated.
  Returns the setting which determines if the life cycle of the package is bound to `ExecutionInterface`.
  `boolean`
  `isNewInstanceCreated()`
  Deprecated.
  Returns the setting which determines if the service should create a new instance.
  `void`
  `setLifecycleBound(boolean lifecycleBound)`
  Deprecated.
  Determines whether the life cycle of the package is bound to `ExecutionInterface`.
  `void`
  `setNewInstanceCreated(boolean createNewInstance)`
  Deprecated.
  Determines if the service should create a new instance.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### HINT_SUBTYPE_NA

    public static final int HINT_SUBTYPE_NA
    Deprecated.
    See Also:
      - Constant Field Values

  - ### HINT_SUBTYPE_WEBDAV_USER_PR

    public static final int HINT_SUBTYPE_WEBDAV_USER_PR
    Deprecated.
    See Also:
      - Constant Field Values

  - ### HINT_SUBTYPE_WEBDAV_DAVSERVER

    public static final int HINT_SUBTYPE_WEBDAV_DAVSERVER
    Deprecated.
    See Also:
      - Constant Field Values

  - ### HINT_SUBTYPE_WEBDAV_URL

    public static final int HINT_SUBTYPE_WEBDAV_URL
    Deprecated.
    See Also:
      - Constant Field Values

  - ### HINT_SUBTYPE_SET

    public static final int HINT_SUBTYPE_SET
    Deprecated.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### clone

    protected Object clone()
    Deprecated.
    Clones this object.
    Overrides:
      `clone` in class `Object`

  - ### setLifecycleBound

    public void setLifecycleBound(boolean lifecycleBound)
    Deprecated.
    Determines whether the life cycle of the package is bound to `ExecutionInterface`. If it is, the package is closed when `ExecutionBaseInterface.destroy()` is called.
    Parameters:
      `lifecycleBound` - true - package is closed by ExecutionInteface's destroy(); false - package life controlled by consumer.

  - ### isLifecycleBound

    public boolean isLifecycleBound()
    Deprecated.
    Returns the setting which determines if the life cycle of the package is bound to `ExecutionInterface`. If it is, the package is closed when `ExecutionBaseInterface.destroy()` is called.
    Returns:
      true, if the life cycle of the package is bound to `ExecutionInterface`; false, if is not.

  - ### setNewInstanceCreated

    public void setNewInstanceCreated(boolean createNewInstance)
    Deprecated.
    Determines if the service should create a new instance. If set to true, each execution of the stored process creates a unique instance of the results.
    Parameters:
      `createNewInstance` - true - the service creates a new instance; false - the service does not create a new instance

  - ### isNewInstanceCreated

    public boolean isNewInstanceCreated()
    Deprecated.
    Returns the setting which determines if the service should create a new instance.
    Returns:
      true - the service creates a new instance; false - the service does not create a new instance

  - ### getResultLocation

    public Object getResultLocation()
    Deprecated.
    Returns the location to which the package is written. This method should only be called from a ResultHints object that is obtained from `ExecutionInterface.getResultHints()`, as the result location may only be available after execution is complete.

    Not all sub-classes support this method - lack of support of this method by a subclass is explicitly stated in the javadoc for the subclass.

    The value returned by this is not affected by a call to `setLifecycleBound(boolean)` and reflects the location of the package written out by the stored process.

    Returns:
      the location of the results